%global prerel beta1

# The documentation and tests need furo.  But to build furo at all, we need
# this package.
%bcond_with bootstrap

Name:           python-sphinx-basic-ng
Version:        1.0.0
Release:        0.2.%{prerel}%{?dist}
Summary:        Modernized skeleton for Sphinx themes

License:        MIT
URL:            https://sphinx-basic-ng.readthedocs.io/
Source0:        https://github.com/pradyunsg/sphinx-basic-ng/archive/%{version}.%{prerel}/sphinx-basic-ng-%{version}.%{prerel}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist wheel}

%if %{without bootstrap}
BuildRequires:  python-sphinx-doc
BuildRequires:  python3-docs
BuildRequires:  %{py3_dist furo}
BuildRequires:  %{py3_dist ipython}
BuildRequires:  %{py3_dist myst-parser}
BuildRequires:  %{py3_dist sphinx-copybutton}
BuildRequires:  %{py3_dist sphinx-inline-tabs}
%endif

%global _description A modernized skeleton for Sphinx themes.

%description
%_description

%package     -n python3-sphinx-basic-ng
Summary:        Modernized skeleton for Sphinx themes

%description -n python3-sphinx-basic-ng
%_description

%if %{without bootstrap}
%package        doc
Summary:        Documentation for %{name}
# This project is MIT.  Other files bundled with the documentation have the
# following licenses:
# _static/_sphinx_javascript_frameworks_compat.js: BSD-2-Clause
# _static/basic.css: BSD-2-Clause
# _static/check-solid.svg: MIT
# _static/clipboard.min.js: MIT
# _static/copy-button.svg: MIT
# _static/copybutton.css: MIT
# _static/copybutton.js: MIT
# _static/copybutton_funcs.js: MIT
# _static/doctools.js: BSD-2-Clause
# _static/documentation_options.js: BSD-2-Clause
# _static/file.png: BSD-2-Clause
# _static/jquery*.js: MIT
# _static/language_data.js: BSD-2-Clause
# _static/minus.png: BSD-2-Clause
# _static/plus.png: BSD-2-Clause
# _static/scripts/furo*: MIT
# _static/searchtools.js: BSD-2-Clause
# _static/styles/furo*: MIT
# _static/tabs.css: MIT
# _static/tabs.js: MIT
# _static/underscore*.js: MIT
# genindex.html: BSD-2-Clause
# search.html: BSD-2-Clause
# searchindex.js: BSD-2-Clause
License:        MIT AND BSD-2-Clause

%description    doc
Documentation for %{name}.
%endif

%prep
%autosetup -n sphinx-basic-ng-%{version}.%{prerel}

# Use local objects.inv for intersphinx
sed -e 's|\("https://docs\.python\.org/3", \)None|\1"%{_docdir}/python3-docs/html/objects.inv"|' \
    -e 's|\("https://www\.sphinx-doc\.org/en/master", \)None|\1"%{_docdir}/python-sphinx-doc/html/objects.inv"|' \
    -i docs/conf.py

%build
%pyproject_wheel

%if %{without bootstrap}
# Build documentation
PYTHONPATH=$PWD/src sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files sphinx_basic_ng

%check
# The nox tests require network access, so we do not run them
%pyproject_check_import

%files -n python3-sphinx-basic-ng -f %{pyproject_files}
%doc README.md

%if %{without bootstrap}
%files doc
%doc html
%license LICENSE
%endif

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-0.2.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 13 2022 Jerry James <loganjerry@gmail.com> - 1.0.0-0.1.beta1%{?dist}
- Verify that license tags are valid SPDX

* Fri Sep 30 2022 Jerry James <loganjerry@gmail.com> - 1.0.0-0.1.beta1%{?dist}
- Version 1.0.0.beta1
- Drop upstreamed -sphinx patch

* Thu Aug 25 2022 Jerry James <loganjerry@gmail.com> - 0.0.1-0.1.a12
- Initial RPM
